VFB3UFO(1)

NAME
vfb3ufo - convert a FontLab Studio 5 VFB file to UFO

SYNOPSIS
vfb3ufo [options] inputpath [outputpath]

DESCRIPTION
vfb3ufo converts a FontLab Studio 5 VFB file to one UFO per master, in contrast to FontLab's own vfb2ufo converter, which only outputs UFO v2 and contains serious bugs. The command line options are compatible to FontLab's vfb2ufo.

The output is a normalized UFO v3, written to inputpath.ufo (compressed to inputpath.ufoz with -z ) in the same directory as the input file, unless a outputpath or the -p option is given. Existing files will not be overwritten unless -fo is specified.

Features of the conversion include the output of FontLab user data (font and glyph level), mark colors written to the official UFO v3 lib key, guideline data written to the official UFO v3 elements, anchors preserved in composite glyphs, PostScript hinting written to the Adobe lib key, TrueType hinting supported in composite glyphs, and support for more UFO font info attributes.

OPTIONS

-h, --help
    Show a help message and exit.

-p, --path PATH
    Output folder for the resulting UFO.

-fo, --force-overwrite
    Force overwrite of existing output files.

-g, --keep-groups
    Don't move non-kerning groups from groups.plist to feature code.

-j, --json
    Serialize UFO as JSON; combine with -z to write JSON without line breaks/indentation.

-k, --add-kerning-groups
    Add kerning groups to feature code.

-ttx, --ttx
    Convert binary OpenType Layout data using TTX-like format.

-64, --base64
    Write GLIF lib 'data' section using base64.

-s, --silent
    No display (silent mode).

-n, --no-normalize
    Don't normalize the UFOs (faster).

-nops, --no-postscript-hints
    Don't output PostScript hinting.

-v, --verbose
    Print debugging output.

-z, --zip
    Write UFOZ (compressed UFO).

-m, --minimal
    Parse only a minimal amount of data, drop missing glyphs from groups, etc.

-u, --unicode-strings
    Force strings to be interpreted as Unicode instead of Windows-1252.

ARGUMENTS

inputpath
    Input file path (.vfb).

outputpath
    Optional output file path (.ufo[z]).

SEE ALSO
vfb2json(1), vfb2tth(1), vfbcu2qu(1), vfbdiff(1)